Package: groovy.org.codenarc.rule.exceptions

## [Groovy] Class CommonCatchAstVisitor

- groovy.org.codenarc.rule.exceptions.CommonCatchAstVisitor

- AstVisitor implementation that checks for catching an exception type specified in the constructor

  This is an internal class and its API is subject to change.
  Authors:
    Chris Mair

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CommonCatchAstVisitor (String exceptionClassNameWithoutPackage)` Construct a new instance, specifying the exception class name

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitCatchStatement(org.codehaus.groovy.ast.stmt.CatchStatement catchStatement)`

- - ### Constructor Detail

    - #### CommonCatchAstVisitor(String exceptionClassNameWithoutPackage)

      Construct a new instance, specifying the exception class name

      Parameters:
        `exceptionClassNameWithoutPackage` - - the name of the exception class to check for, without the package

  - ### Method Detail

    - #### void visitCatchStatement(org.codehaus.groovy.ast.stmt.CatchStatement catchStatement)